Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.lifecycle
Class DefaultPageLifecycleFactory

`java.lang.Object
oracle.adf.controller.lifecycle.PageLifecycleFactory
oracle.adf.controller.lifecycle.DefaultPageLifecycleFactory`

public class DefaultPageLifecycleFactory
extends PageLifecycleFactory

The default factory for PageLifecycle. Always return an instance of `PageLifecycle`.

Since:
  9.0.5

Field Summary

Fields inherited from class oracle.adf.controller.lifecycle.PageLifecycleFactory
`INIT_PARAM, LIFECYCLE_FACTORY_ATTR`

Constructor Summary
`DefaultPageLifecycleFactory()`

Method Summary
`PageLifecycle` | `getPageLifecycle(java.lang.String path)` Always return an instance of PageLifecycle no mater the content of the page path.

Methods inherited from class oracle.adf.controller.lifecycle.PageLifecycleFactory
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPageLifecycleFactory

    public DefaultPageLifecycleFactory()

Method Detail

### getPageLifecycle

    public PageLifecycle getPageLifecycle(java.lang.String path)

  Always return an instance of PageLifecycle no mater the content of the page path.
  Specified by:
    `getPageLifecycle` in class `PageLifecycleFactory`
  Parameters:
    `path` - the web page path
  Returns:
    a customized PageLifecycle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.